中危 FasterXML jackson-databind 缓冲区错误漏洞

CVE编号

CVE-2020-36518

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-03-11
漏洞描述
FasterXML jackson-databind是一个基于JAVA可以将XML和JSON等数据格式与JAVA对象进行转换的库。Jackson可以轻松的将Java对象转换成json对象和xml文档,同样也可以将json、xml转换成Java对象。

FasterXML jackson-databind 2.13.0之前版本中存在安全漏洞,该漏洞源于软件中存在Java的栈溢出异常,攻击者可以通过大量嵌套对象利用该漏洞实现拒绝服务攻击。
解决建议
目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://github.com/FasterXML/jackson-databind/issues/2816
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 fasterxml jackson-databind * Up to
(excluding)
2.13.0
运行在以下环境
系统 debian_10 jackson-databind * Up to
(including)
2.9.8-3+deb10u3
运行在以下环境
系统 debian_11 jackson-databind * Up to
(including)
2.12.1-1
运行在以下环境
系统 debian_12 jackson-databind * Up to
(including)
2.13.0-2
运行在以下环境
系统 debian_9 jackson-databind * Up to
(excluding)
2.8.6-1+deb9u10
运行在以下环境
系统 debian_sid jackson-databind * Up to
(including)
2.13.0-2
阿里云评分
6.4
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况